Bug 17387 - can't ifconfig down bonded devices
can't ifconfig down bonded devices
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-09 16:23 EDT by Dale Jolliff
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 20:42:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dale Jolliff 2000-09-09 16:23:47 EDT
Forgive my spelling, and if you have any clues about what's going on here,
_please_ help...

I have two Compaq Proliant 1500 servers, configured with dual P166
processors, 128MB of 60ns ram, 6 4.1 gb fast-wide scsi drives in a
hot-swappable raid5 array using the Compaq Smart2/E raid controller.
/dev/ida/c0d0p1 is 128M swap
/dev/ida/c0d0p2 is 500m ext2 mounted as / (about 420 - 460 mb used)
/dev/ida/c0d0p3 is Compaq Diagnostics partition (loaded from latest
smartstart CD version 4.70)
/dev/ida/c0d0p4 is the remainder of the array (about 15gb) ext2 mounted at
/local/usr/share

Each machine has two Intel EtherPro 100 PCI NICS.

/proc/pci:

PCI devices found:
  Bus  0, device  10, function  0:
    SCSI storage controller: NCR 53c825 (rev 2).
      Medium devsel.  IRQ 10.  Master Capable.  Latency=255.  
      I/O at 0x7100 [0x7101].
      Non-prefetchable 32 bit memory at 0x8300000 [0x8300000].
  Bus  0, device  12, function  0:
    Ethernet controller: Intel 82557 (rev 8).
      Medium devsel.  Fast back-to-back capable.  IRQ 7.  Master Capable.  
Latency=64.  Min Gnt=8.Max Lat=56.
      Non-prefetchable 32 bit memory at 0x8500000 [0x8500000].
      I/O at 0x70c0 [0x70c1].
      Non-prefetchable 32 bit memory at 0x8600000 [0x8600000].
  Bus  0, device  13, function  0:
    Ethernet controller: Intel 82557 (rev 8).
      Medium devsel.  Fast back-to-back capable.  IRQ 5.  Master Capable.  
Latency=64.  Min Gnt=8.Max Lat=56.
      Non-prefetchable 32 bit memory at 0x8200000 [0x8200000].
      I/O at 0x7000 [0x7001].
      Non-prefetchable 32 bit memory at 0x8400000 [0x8400000].
  Bus  0, device  15, function  0:
    Non-VGA device: Intel 82375EB (rev 5).
      Medium devsel.  Master Capable.  Latency=248.  

I have configured networking using netconf from a console comand line.
I configure eth0 with a static IP and have no problem with the servers.

I then attempt to "bond" the two ethernet devices...

Each card is configured with identical static IP and hostname.
"alias bond0 bonding" is added to /etc/conf.modules, after the eth0 and 
eth1
lines.

I add the bonding module:
/etc/conf.modules:
alias bond0 bonding
alias eth0 eepro100
alias eth1 eepro100

ifcfg-bond0 is added to /etc/sysconfig/network-scripts:

DEVICE="bond0"
USERCTL="no"
ONBOOT="yes"
BOOTPROTO="none"
BROADCAST="192.168.1.255"
NETWORK="192.168.1.0"
NETMASK="255.255.255.0"
IPADDR="192.168.1.5"

ifcfg-eth0 and -eth1 are modified to this:

DEVICE="eth0" | "eth1"
USERCTL="no"
ONBOOT="yes"
MASTER="bond0"
SLAVE="yes"
BOOTPROTO="none"
#IPADDR="192.168.1.5"
#NETMASK="255.255.255.0"
#IPXNETNUM_802_2=""
#IPXPRIMARY_802_2="no"
#IPXACTIVE_802_2="no"
#IPXNETNUM_802_3=""
#IPXPRIMARY_802_3="no"
#IPXACTIVE_802_3="no"
#IPXNETNUM_ETHERII=""
#IPXPRIMARY_ETHERII="no"
#IPXACTIVE_ETHERII="no"
#IPXNETNUM_SNAP=""
#IPXPRIMARY_SNAP="no"
#IPXACTIVE_SNAP="no"

Everything works peachy-keen, the machines boot up, the load is distributed
across the NICs evenly, and the day is pretty much full of sunshine -- with
the exception of occasional (under heavy load) messages that indicate an 
NMI for "reason 20" or "reason 30" with the question "Are you running some 
type of funky power save mode?"

ifconfig craps out when attempting to shutdown device bond0, eth0 and
eth1.  /proc can't be unmounted and the shutdown sometime hangs at this
point requiring the server to powered off.

/var/log/messages of shutdown that causes an ifconfig fault:

Sep  9 08:12:32 P1500A PAM_pwdb[559]: (login) session opened for user root 
by LOGIN(uid=0)
Sep  9 08:13:23 P1500A rc: Stopping keytable succeeded
Sep  9 08:13:23 P1500A gpm: gpm shutdown succeeded
Sep  9 08:13:24 P1500A smb: smbd shutdown succeeded
Sep  9 08:13:24 P1500A smb: nmbd shutdown succeeded
Sep  9 08:13:25 P1500A inet: inetd shutdown succeeded
Sep  9 08:13:25 P1500A dd: 1+0 records in
Sep  9 08:13:25 P1500A dd: 1+0 records out
Sep  9 08:13:25 P1500A random: Saving random seed succeeded
Sep  9 08:13:26 P1500A portmap: portmap shutdown succeeded
Sep  9 08:13:26 P1500A kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000041 
Sep  9 08:13:26 P1500A kernel: current->tss.cr3 = 04785000, %cr3 = 
04785000 
Sep  9 08:13:26 P1500A kernel: *pde = 00000000 
Sep  9 08:13:26 P1500A kernel: Oops: 0000 
Sep  9 08:13:26 P1500A kernel: CPU:    0 
Sep  9 08:13:26 P1500A kernel: EIP:    0010:
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
7257/76] 
Sep  9 08:13:26 P1500A kernel: EFLAGS: 00010282 
Sep  9 08:13:26 P1500A kernel: eax: 00000001   ebx: c7802480   ecx: 
00000064   edx: c3d65694 
Sep  9 08:13:26 P1500A kernel: esi: c3cee320   edi: c3cee37c   ebp: 
00000400   esp: c4addf24 
Sep  9 08:13:26 P1500A kernel: ds: 0018   es: 0018   ss: 0018 
Sep  9 08:13:26 P1500A kernel: Process ifconfig (pid: 749, process nr: 10, 
stackpage=c4add000) 
Sep  9 08:13:26 P1500A kernel: Stack: c4b87143 00000000 00000000 c0155830 
c882f520 00000143 c882f520 c0155901  
Sep  9 08:13:26 P1500A kernel:        c4b87143 c882f520 c778db54 00000400 
00000000 c4b87000 00000400 c014964e  
Sep  9 08:13:26 P1500A kernel:        c4b87000 c4addf98 00000000 00000400 
00000000 c778db40 ffffffea 00000000  
Sep  9 08:13:27 P1500A kernel: Call Trace: [rif_get_info+32/544] 
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
6880/76] [eepro100:__insmod_eepro100_O/lib/modules/2.2.14-
5.0/net/eepro100.o_M+-6880/76] [rif_get_info+241/544] 
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
6880/76] [isofs_read_inode+6/824] [set_blocksize+394/436]  
Sep  9 08:13:27 P1500A kernel:        [get_event+24/80]  
Sep  9 08:13:27 P1500A kernel: Code: 8b 40 40 ff d0 89 c2 83 c4 04 8b 02 
01 06 8b 42 08 01 46 08  
Sep  9 08:13:27 P1500A network: Shutting down interface bond0 succeeded
Sep  9 08:13:27 P1500A kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000041 
Sep 9 08:13:27 P1500A kernel: current->tss.cr3 = 04443000, %cr3 = 
04443000 
Sep  9 08:13:27 P1500A kernel: *pde = 00000000 
Sep  9 08:13:27 P1500A kernel: Oops: 0000 
Sep  9 08:13:27 P1500A kernel: CPU:    0 
Sep  9 08:13:27 P1500A kernel: EIP:    0010:
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
7257/76] 
Sep  9 08:13:27 P1500A kernel: EFLAGS: 00010282 
Sep  9 08:13:27 P1500A kernel: eax: 00000001   ebx: c7802480   ecx: 
00000064   edx: c3d65694 
Sep  9 08:13:27 P1500A kernel: esi: c3cee320   edi: c3cee37c   ebp: 
00000400   esp: c77b9f24 
Sep  9 08:13:27 P1500A kernel: ds: 0018   es: 0018   ss: 0018 
Sep  9 08:13:27 P1500A kernel: Process ifconfig (pid: 773, process nr: 17, 
stackpage=c77b9000) 
Sep  9 08:13:27 P1500A kernel: Stack: c3b98143 00000000 00000000 c0155830 
c882f520 00000143 c882f520 c0155901  
Sep  9 08:13:27 P1500A kernel:        c3b98143 c882f520 c778dd94 00000400 
00000000 c3b98000 00000400 c014964e  
Sep  9 08:13:27 P1500A kernel:        c3b98000 c77b9f98 00000000 00000400 
00000000 c778dd80 ffffffea 00000000  
Sep  9 08:13:27 P1500A kernel: Call Trace: [rif_get_info+32/544] 
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
6880/76] [eepro100:__insmod_eepro100_O/lib/modules/2.2.14-
5.0/net/eepro100.o_M+-6880/76] [rif_get_info+241/544] 
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
6880/76] [isofs_read_inode+6/824] [set_blocksize+394/436]  
Sep  9 08:13:27 P1500A kernel:        [get_event+24/80]  
Sep  9 08:13:27 P1500A kernel: Code: 8b 40 40 ff d0 89 c2 83 c4 04 8b 02 
01 06 8b 42 08 01 46 08  
Sep  9 08:13:27 P1500A network: Shutting down interface eth0 succeeded
Sep  9 08:13:27 P1500A kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000041 
Sep  9 08:13:27 P1500A kernel: current->tss.cr3 = 042fa000, %cr3 = 
042fa000 
Sep  9 08:13:27 P1500A kernel: *pde = 00000000 
Sep  9 08:13:27 P1500A kernel: Oops: 0000 
Sep  9 08:13:27 P1500A kernel: CPU:    1 
Sep  9 08:13:27 P1500A kernel: EIP:    0010:
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
7257/76] 
Sep  9 08:13:27 P1500A kernel: EFLAGS: 00010282 
Sep  9 08:13:27 P1500A kernel: eax: 00000001   ebx: c7802480   ecx: 
00000064   edx: c3d65694 
Sep  9 08:13:27 P1500A kernel: esi: c3cee320   edi: c3cee37c   ebp: 
00000400   esp: c3d61f24 
Sep  9 08:13:27 P1500A kernel: ds: 0018   es: 0018   ss: 0018 
Sep  9 08:13:27 P1500A kernel: Process ifconfig (pid: 786, process nr: 11, 
stackpage=c3d61000) 
Sep  9 08:13:27 P1500A kernel: Stack: c4a59143 00000000 00000000 c0155830 
c882f520 00000143 c882f520 c0155901  
Sep  9 08:13:27 P1500A kernel:        c4a59143 c882f520 c4394154 00000400 
00000000 c4a59000 00000400 c014964e  
Sep  9 08:13:27 P1500A kernel:        c4a59000 c3d61f98 00000000 00000400 
00000000 c4394140 ffffffea 00000000  
Sep  9 08:13:27 P1500A kernel: Call Trace: [rif_get_info+32/544] 
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
6880/76] [eepro100:__insmod_eepro100_O/lib/modules/2.2.14-
5.0/net/eepro100.o_M+-6880/76] [rif_get_info+241/544] 
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
6880/76] [isofs_read_inode+6/824] [set_blocksize+394/436]  
Sep  9 08:13:27 P1500A kernel:        [get_event+24/80]  
Sep  9 08:13:27 P1500A kernel: Code: 8b 40 40 ff d0 89 c2 83 c4 04 8b 02 
01 06 8b 42 08 01 46 08  
Sep  9 08:13:27 P1500A network: Shutting down interface eth1 succeeded
Sep  9 08:13:27 P1500A kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000041 
Sep  9 08:13:27 P1500A kernel: current->tss.cr3 = 042fa000, %cr3 = 
042fa000 
Sep  9 08:13:27 P1500A kernel: *pde = 00000000 
Sep  9 08:13:27 P1500A kernel: Oops: 0000 
Sep  9 08:13:27 P1500A kernel: CPU:    1 
Sep  9 08:13:27 P1500A kernel: EIP:    0010:
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
7257/76] 
Sep  9 08:13:27 P1500A kernel: EFLAGS: 00010282 
Sep  9 08:13:27 P1500A kernel: eax: 00000001   ebx: c7802480   ecx: 
00000064   edx: c3d65694 
Sep  9 08:13:27 P1500A kernel: esi: c3cee320   edi: c3cee37c   ebp: 
00000400   esp: c3d61f24 
Sep  9 08:13:27 P1500A kernel: ds: 0018   es: 0018   ss: 0018 
Sep  9 08:13:27 P1500A kernel: Process ifconfig (pid: 798, process nr: 11, 
stackpage=c3d61000) 
Sep  9 08:13:27 P1500A kernel: Stack: c47d1143 00000000 00000000 c0155830 
c882f520 00000143 c882f520 c0155901  
Sep  9 08:13:27 P1500A kernel:        c47d1143 c882f520 c7ab08d4 00000400 
00000000 c47d1000 00000400 c014964e  
Sep  9 08:13:27 P1500A kernel:        c47d1000 c3d61f98 00000000 00000400 
00000000 c7ab08c0 ffffffea 00000000  
Sep  9 08:13:27 P1500A kernel: Call Trace: [rif_get_info+32/544] 
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
6880/76] [eepro100:__insmod_eepro100_O/lib/modules/2.2.14-
5.0/net/eepro100.o_M+-6880/76] [rif_get_info+241/544] 
[eepro100:__insmod_eepro100_O/lib/modules/2.2.14-5.0/net/eepro100.o_M+-
6880/76] [isofs_read_inode+6/824] [set_blocksize+394/436]  
Sep  9 08:13:27 P1500A kernel:        [get_event+24/80]  
Sep  9 08:13:27 P1500A kernel: Code: 8b 40 40 ff d0 89 c2 83 c4 04 8b 02 
01 06 8b 42 08 01 46 08  
Sep  9 08:13:28 P1500A kernel: Kernel logging (proc) stopped.
Sep  9 08:13:28 P1500A kernel: Kernel log daemon terminating.
Sep  9 08:13:29 P1500A syslog: klogd shutdown succeeded
Sep  9 08:13:29 P1500A exiting on signal 15



Additional information from /var/log/messages about the machine you may
need:


Sep  9 08:15:16 P1500A syslogd 1.3-3: restart.
Sep  9 08:15:16 P1500A syslog: syslogd startup succeeded
Sep  9 08:15:16 P1500A kernel: klogd 1.3-3, log source = /proc/kmsg 
started.
Sep  9 08:15:16 P1500A kernel: Inspecting /boot/System.map-2.2.14-5.0
Sep  9 08:15:16 P1500A syslog: klogd startup succeeded
Sep  9 08:15:16 P1500A inet: inetd startup succeeded
Sep  9 08:15:16 P1500A keytable: Loading keymap: 
Sep  9 08:15:16 P1500A keytable: 
Loading /usr/lib/kbd/keymaps/i386/qwerty/us.kmap.gz
Sep  9 08:15:16 P1500A kernel: Loaded 7337 symbols from /boot/System.map-
2.2.14-5.0.
Sep  9 08:15:16 P1500A kernel: Symbols match kernel version 2.2.14.
Sep  9 08:15:16 P1500A kernel: Loaded 33 symbols from 3 modules.
Sep  9 08:15:16 P1500A kernel: Linux version 2.2.14-5.0 (root@P1200A) (gcc 
version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 SMP Thu Sep 7 
09:03:32 CDT 2000 
Sep  9 08:15:16 P1500A kernel: Intel MultiProcessor Specification v1.1 
Sep  9 08:15:16 P1500A kernel:     Virtual Wire compatibility mode. 
Sep  9 08:15:16 P1500A kernel: I/O APIC at 0xFEC00000. 
Sep  9 08:15:16 P1500A kernel: Bus #0 is EISA 
Sep  9 08:15:16 P1500A kernel: Bus #1 is PCI 
Sep  9 08:15:16 P1500A kernel: Processors: 2 
Sep  9 08:15:16 P1500A kernel: mapped APIC to ffffe000 (fee00000) 
Sep  9 08:15:16 P1500A kernel: mapped IOAPIC to ffffd000 (fec00000) 
Sep  9 08:15:16 P1500A kernel: Detected 167025542 Hz processor. 
Sep  9 08:15:16 P1500A kernel: Console: colour VGA+ 80x25 
Sep  9 08:15:16 P1500A kernel: Calibrating delay loop... 66.56 BogoMIPS 
Sep  9 08:15:16 P1500A kernel: Memory: 127616k/131072k available (972k 
kernel code, 424k reserved, 1612k data, 48k init, 0k bigmem) 
Sep  9 08:15:16 P1500A kernel: Dentry hash table entries: 262144 (order 9, 
2048k) 
Sep  9 08:15:16 P1500A kernel: Buffer cache hash table entries: 131072 
(order 7, 512k) 
Sep  9 08:15:16 P1500A kernel: Page cache hash table entries: 32768 (order 
5, 128k) 
Sep  9 08:15:16 P1500A kernel: Checking 386/387 coupling... OK, FPU using 
exception 16 error reporting. 
Sep  9 08:15:16 P1500A kernel: Checking 'hlt' instruction... OK. 
Sep  9 08:15:16 P1500A kernel: Intel Pentium with F0 0F bug - workaround 
enabled. 
Sep  9 08:15:16 P1500A kernel: POSIX conformance testing by UNIFIX 
Sep  9 08:15:16 P1500A kernel: per-CPU timeslice cutoff: 1.55 usecs. 
Sep  9 08:15:16 P1500A kernel: CPU0: Intel Pentium 75 - 200 stepping 0c 
Sep  9 08:15:16 P1500A kernel: calibrating APIC timer ...  
Sep  9 08:15:16 P1500A kernel: ..... CPU clock speed is 167.0235 MHz. 
Sep  9 08:15:16 P1500A kernel: ..... system bus clock speed is 66.8092 
MHz. 
Sep  9 08:15:16 P1500A kernel: Booting processor 1 eip 2000 
Sep  9 08:15:16 P1500A kernel: Calibrating delay loop... 66.76 BogoMIPS 
Sep  9 08:15:16 P1500A kernel: OK. 
Sep  9 08:15:16 P1500A kernel: CPU1: Intel Pentium 75 - 200 stepping 0c 
Sep  9 08:15:16 P1500A kernel: Total of 2 processors activated (133.32 
BogoMIPS). 
Sep  9 08:15:16 P1500A kernel: enabling symmetric IO mode... ...done. 
Sep  9 08:15:16 P1500A kernel: ENABLING IO-APIC IRQs 
Sep  9 08:15:16 P1500A kernel: no explicit IRQ entries, using default 
mptable 
Sep  9 08:15:16 P1500A kernel: ...changing IO-APIC physical APIC ID to 
2... 
Sep  9 08:15:16 P1500A kernel: ...changing IO-APIC physical APIC ID to 0 
Sep  9 08:15:16 P1500Akernel: init IO_APIC IRQs 
Sep  9 08:15:16 P1500A kernel:  IO-APIC (apicid-pin) 0-0, 0-13 not 
connected. 
Sep  9 08:15:17 P1500A kernel: number of MP IRQ sources: 14. 
Sep  9 08:15:17 P1500A kernel: number of IO-APIC #0 registers: 16. 
Sep  9 08:15:17 P1500A kernel: testing the IO APIC....................... 
Sep  9 08:15:17 P1500A kernel:  
Sep  9 08:15:17 P1500A kernel: IO APIC #0...... 
Sep  9 08:15:17 P1500A kernel: .... register #00: 00000000 
Sep  9 08:15:17 P1500A kernel: .......    : physical APIC id: 00 
Sep  9 08:15:17 P1500A kernel: .... register #01: 000F0011 
Sep  9 08:15:17 P1500A kernel: .......     : max redirection entries: 000F 
Sep  9 08:15:17 P1500A kernel: .......     : IO APIC version: 0011 
Sep  9 08:15:17 P1500A kernel: .... register #02: 00000000 
Sep  9 08:15:17 P1500A kernel: .......     : arbitration: 00 
Sep  9 08:15:17 P1500A kernel: .... IRQ redirection table: 
Sep  9 08:15:17 P1500A kernel:  NR Log Phy Mask Trig IRR Pol Stat Dest 
Deli Vect:    
Sep  9 08:15:17 P1500A kernel:  00 000 00  1    0    0   0   0    0    
0    00 
Sep  9 08:15:17 P1500A kernel:  01 000 00  0    0    0   0   0    1    
1    59 
Sep  9 08:15:17 P1500A kernel:  02 0FF 0F  0    0    0   0   0    1    
1    51 
Sep  9 08:15:17 P1500A kernel:  03 000 00  0    0    0   0   0    1    
1    61 
Sep  9 08:15:17 P1500A kernel:  04 000 00  0    0    0   0   0    1    
1    69 
Sep  9 08:15:17 P1500A kernel:  05 0FF 0F  1    1    0   0   0    1    
1    71 
Sep  9 08:15:17 P1500A kernel:  06 000 00  0    0    0   0   0    1    
1    79 
Sep  9 08:15:17 P1500A kernel:  07 0FF 0F  1    1    0   0   0    1    
1    81 
Sep  9 08:15:17 P1500A kernel:  08 000 00  0    0    0   0   0    1    
1    89 
Sep  9 08:15:17 P1500A kernel:  09 000 00  0    0    0   0   0    1    
1    91 
Sep  9 08:15:17 P1500A kernel:  0a 0FF 0F  1    1    0   0   0    1    
1    99 
Sep  9 08:15:17 P1500A kernel:  0b 000 00  0    0    0   0   0    1    
1    A1 
Sep  9 08:15:17 P1500A kernel:  0c 000 00  0    0    0   0   0    1    
1    A9 
Sep  9 08:15:17 P1500A kernel:  0d 000 00  1    0    0   0   0    0    
0    00 
Sep  9 08:15:17 P1500A kernel:  0e 000 00  0    0    0   0   0    1    
1    B1 
Sep  9 08:15:17 P1500A kernel:  0f 0FF 0F  1    1    0   0   0    1    
1    B9 
Sep  9 08:15:17 P1500A kernel: .................................... done. 
Sep  9 08:15:17 P1500A kernel: checking TSC synchronization across CPUs: 
passed. 
Sep  9 08:15:17 P1500A kernel: PCI: PCI BIOS revision 2.10 entry at 
0xf005e 
Sep  9 08:15:17 P1500A kernel: PCI: Using configuration type 1 
Sep  9 08:15:17 P1500A kernel: PCI: Probing PCI hardware 
Sep  9 08:15:17 P1500A kernel: PCI: 00:00 [0e11/4000/000600] has unknown 
header type ff, ignoring. 
Sep  9 08:15:17 P1500A kernel: PCI: 00:01 [0e11/4000/000600] has unknown 
header type ff, ignoring. 
Sep  9 08:15:17 P1500A kernel: PCI: 00:02 [0e11/4000/000600] has unknown 
header type ff, ignoring. 
Sep  9 08:15:17 P1500A kernel: PCI: 00:03 [0e11/4000/000600] has unknown 
header type ff, ignoring. 
Sep  9 08:15:17 P1500A kernel: PCI: 00:04 [0e11/4000/000600] has unknown 
header type ff, ignoring. 
Sep  9 08:15:17 P1500A kernel: PCI: 00:05 [0e11/4000/000600] has unknown 
header type ff, ignoring. 
Sep  9 08:15:17 P1500A kernel: PCI: 00:06 [0e11/4000/000600] has unknown 
header type ff, ignoring. 
Sep  9 08:15:17 P1500A kernel: PCI: 00:07 [0e11/4000/000600] has unknown 
header type ff, ignoring. 
Sep  9 08:15:17 P1500A kernel: PCI: Device 00:78 not found by BIOS 
Sep  9 08:15:17 P1500A kernel: Linux NET4.0 for Linux 2.2 
Sep  9 08:15:17 P1500A kernel: Based upon Swansea University Computer 
Society NET3.039 
Sep  9 08:15:17 P1500A kernel: NET4: Unix domain sockets 1.0 for Linux 
NET4.0. 
Sep  9 08:15:17 P1500A kernel: NET4: Linux TCP/IP 1.0 for NET4.0 
Sep  9 08:15:17 P1500A kernel: IP Protocols: ICMP, UDP, TCP 
Sep  9 08:15:17 P1500A kernel: TCP: Hash tables configured (ehash 131072 
bhash 65536) 
Sep  9 08:15:17 P1500A kernel: Initializing RT netlink socket 
Sep  9 08:15:17 P1500A kernel: Starting kswapd v 1.5  
Sep  9 08:15:17 P1500A kernel: Detected PS/2 Mouse Port. 
Sep  9 08:15:17 P1500A kernel: Serial driver version 4.27 with MANY_PORTS 
SHARE_IRQ enabled 
Sep  9 08:15:17 P1500A kernel: ttyS00 at 0x03f8 (irq = 4) is a 16550A 
Sep  9 08:15:17 P1500A kernel: ttyS01 at 0x02f8 (irq = 3) is a 16550A 
Sep  9 08:15:17 P1500A kernel: pty: 256 Unix98 ptys configured 
Sep  9 08:15:17 P1500A kernel: Real Time Clock Driver v1.09 
Sep  9 08:15:17 P1500A kernel: RAM disk driver initialized:  16 RAM disks 
of 4096K size 
Sep  9 08:15:17 P1500A kernel: Floppy drive(s): fd0 is 1.44M 
Sep  9 08:15:17 P1500A kernel: FDC 0 is a National Semiconductor PC87306 
Sep  9 08:15:17 P1500A kernel: md driver 0.90.0 MAX_MD_DEVS=256, 
MAX_REAL=12 
Sep  9 08:15:17 P1500A kernel: raid5: measuring checksumming speed 
Sep  9 08:15:17 P1500A kernel:    8regs     :   172.593 MB/sec 
Sep  9 08:15:17 P1500A kernel:    32regs    :   118.491 MB/sec 
Sep  9 08:15:17 P1500A kernel: using fastest function: 8regs (172.593 
MB/sec) 
Sep  9 08:15:17 P1500A kernel: scsi : 0 hosts. 
Sep  9 08:15:17 P1500A kernel: scsi : detected total. 
Sep  9 08:15:17 P1500A kernel: Compaq SMART2 Driver (v 1.0.6) 
Sep  9 08:15:17 P1500A kernel: Found 1 controller(s) 
Sep  9 08:15:17 P1500A kernel: cpqarray: Finding drives on ida0 (SMART-
2/E) 
Sep  9 08:15:17 P1500A kernel: cpqarray ida/c0d0: blksz=512 
nr_blks=33537600 
Sep  9 08:15:17 P1500A kernel: Partition check: 
Sep  9 08:15:17 P1500A kernel:  ida/c0d0: ida/c0d0p1 ida/c0d0p2 ida/c0d0p3 
ida/c0d0p4 
Sep  9 08:15:17 P1500A kernel: md.c: sizeof(mdp_super_t) = 4096 
Sep  9 08:15:17 P1500A kernel: RAMDISK: Compressed image found at block 0 
Sep  9 08:15:17 P1500A kernel: autodetecting RAID arrays 
Sep  9 08:15:17 P1500A kernel: autorun ... 
Sep  9 08:15:17 P1500A kernel: ... autorun DONE. 
Sep  9 08:15:17 P1500A kernel: VFS: Mounted root (ext2 filesystem). 
Sep  9 08:15:17 P1500A kernel: scsi-ncr53c7,8xx : at PCI bus 0, device 
10,  function 0 
Sep  9 08:15:17 P1500A kernel: scsi-ncr53c7,8xx : NCR53c825 at memory 
0x8300000, io 0x7100, irq 10 
Sep  9 08:15:17 P1500A kernel: scsi0 : burst length 8 
Sep  9 08:15:17 P1500A kernel: scsi0 : NCR code relocated to 0x7994610 
(virt 0xc7994610) 
Sep  9 08:15:17 P1500A kernel: scsi0 : test 1 started 
Sep  9 08:15:17 P1500A kernel: scsi0 : NCR53c{7,8}xx (rel 17) 
Sep  9 08:15:17 P1500A kernel: scsi : 1 host. 
Sep  9 08:15:17 P1500A kernel: scsi0 : target 5 accepting asynchronous 
SCSI 
Sep  9 08:15:17 P1500A kernel: scsi0 : setting target 5 to asynchronous 
SCSI 
Sep  9 08:15:17 P1500A kernel:   Vendor: COMPAQ    Model: CRD-
254V          Rev: 1.06 
Sep  9 08:15:17 P1500A kernel:   Type:   CD-
ROM                             ANSI SCSI revision: 02 
Sep  9 08:15:17 P1500A kernel: Detected scsi CD-ROM sr0 at scsi0, channel 
0, id 5, lun 0 
Sep  9 08:15:17 P1500A kernel: Uniform CDROM driver Revision: 2.56 
Sep  9 08:15:17 P1500A kernel: autodetecting RAID arrays 
Sep  9 08:15:17 P1500A kernel: autorun ... 
Sep  9 08:15:17 P1500A kernel: ... autorun DONE. 
Sep  9 08:15:17 P1500A kernel: VFS: Mounted root (ext2 filesystem) 
readonly. 
Sep  9 08:15:17 P1500A kernel: change_root: old root has d_count=1 
Sep  9 08:15:17 P1500A kernel: Trying to unmount old root ... okay 
Sep  9 08:15:17 P1500A kernel: Freeing unused kernel memory: 48k freed 
Sep  9 08:15:17 P1500A kernel: Adding Swap: 134632k swap-space (priority -
1) 
Sep  9 08:15:17 P1500A kernel: eepro100.c:v1.09j-t 9/29/99 Donald Becker 
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html 
Sep  9 08:15:17 P1500A kernel: eepro100.c: $Revision: 1.18 $ 1999/12/29 
Modified by Andrey V. Savochkin <saw@msu.ru> 
Sep  9 08:15:17 P1500A kernel: eth0: OEM i82557/i82558 10/100 Ethernet at 
0xc8836000, 00:90:27:92:86:C8, IRQ 7. 
Sep  9 08:15:17 P1500A kernel:   Receiver lock-up bug exists -- enabling 
work-around. 
Sep  9 08:15:17 P1500A kernel:   Board assembly 734938-001, Physical 
connectors present: RJ45 
Sep  9 08:15:17 P1500A kernel:   Primary interface chip i82555 PHY #1. 
Sep  9 08:15:17 P1500A kernel:   General self-test: passed. 
Sep  9 08:15:17 P1500A kernel:   Serial sub-system self-test: passed. 
Sep  9 08:15:17 P1500A kernel:   Internal registers self-test: passed. 
Sep  9 08:15:17 P1500A kernel:   ROM checksum self-test: passed 
(0x04f4518b). 
Sep  9 08:15:17 P1500A kernel: eth1: OEM i82557/i82558 10/100 Ethernet at 
0xc8838000, 00:D0:B7:0F:87:B7, IRQ 5. 
Sep  9 08:15:17 P1500A kernel:   Receiver lock-up bug exists -- enabling 
work-around. 
Sep  9 08:15:17 P1500A kernel:   Board assembly 734938-002, Physical 
connectors present: RJ45 
Sep  9 08:15:17 P1500A kernel:   Primary interface chip i82555 PHY #1. 
Sep  9 08:15:17 P1500A kernel:   General self-test: passed. 
Sep  9 08:15:17 P1500A kernel:  Serial sub-system self-test: passed. 
Sep  9 08:15:17 P1500A kernel:   Internal registers self-test: passed. 
Sep  9 08:15:17 P1500A kernel:   ROM checksum self-test: passed 
(0x04f4518b). 
Sep  9 08:14:52 P1500A rc.sysinit: Mounting proc filesystem succeeded 
Sep  9 08:14:52 P1500A sysctl: net.ipv4.ip_forward = 0 
Sep  9 08:14:52 P1500A sysctl: net.ipv4.conf.all.rp_filter = 1 
Sep  9 08:14:52 P1500A sysctl: net.ipv4.ip_always_defrag = 0 
Sep  9 08:14:52 P1500A sysctl: kernel.sysrq = 0 
Sep  9 08:14:52 P1500A rc.sysinit: Configuring kernel parameters succeeded 
Sep  9 08:14:52 P1500A date: Sat Sep  9 08:14:50 CDT 2000 
Sep  9 08:14:52 P1500A rc.sysinit: Setting clock : Sat Sep  9 08:14:50 CDT 
2000 succeeded 
Sep  9 08:14:52 P1500A rc.sysinit: Loading default keymap succeeded 
Sep  9 08:14:52 P1500A rc.sysinit: Activating swap partitions succeeded 
Sep  9 08:14:52 P1500A rc.sysinit: Setting hostname 
P1500A.tiginsurance.com succeeded 
Sep  9 08:14:52 P1500A fsck: Linux: clean, 31197/128520 files, 
424175/514080 blocks 
Sep  9 08:14:52 P1500A rc.sysinit: Checking root filesystem succeeded 
Sep  9 08:14:52 P1500A rc.sysinit: Remounting root filesystem in read-
write mode succeeded 
Sep  9 08:14:55 P1500A rc.sysinit: Finding module dependencies succeeded 
Sep  9 08:14:56 P1500A fsck: Storage: clean, 15/2011296 files, 
632276/4020840 blocks 
Sep  9 08:14:56 P1500A rc.sysinit: Checking filesystems succeeded 
Sep  9 08:14:58 P1500A rc.sysinit: Mounting local filesystems succeeded 
Sep  9 08:14:58 P1500A rc.sysinit: Turning on user and group quotas for 
local filesystems succeeded 
Sep  9 08:14:59 P1500A rc.sysinit: Enabling swap space succeeded 
Sep  9 08:15:00 P1500A init: Entering runlevel: 3 
Sep  9 08:15:11 P1500A kudzu:  succeeded 
Sep  9 08:15:11 P1500A sysctl: net.ipv4.ip_forward = 0 
Sep  9 08:15:11 P1500A sysctl: net.ipv4.conf.all.rp_filter = 1 
Sep  9 08:15:11 P1500A sysctl: net.ipv4.ip_always_defrag = 0 
Sep  9 08:15:11 P1500A sysctl: kernel.sysrq = 0 
Sep  9 08:15:11 P1500A network: Setting network parameters succeeded 
Sep  9 08:15:12 P1500A network: Bringing up interface lo succeeded 
Sep  9 08:15:13 P1500A network: Bringing up interface bond0 succeeded 
Sep  9 08:15:14 P1500A ifup: Enslaving eth0 to bond0 
Sep  9 08:15:14 P1500A ifup: master has no hw address assigned; getting 
one from slave! 
Sep  9 08:15:14 P1500A network: Bringing up interface eth0 succeeded 
Sep  9 08:15:14 P1500A ifup: Enslaving eth1 to bond0 
Sep  9 08:15:14 P1500A network: Bringing up interface eth1 succeeded 
Sep  9 08:15:15 P1500A portmap: portmap startup succeeded 
Sep  9 08:15:15 P1500A random: Initializing random number generator 
succeeded 
Sep  9 08:15:15 P1500A netfs: Mounting other filesystems succeeded 
Sep  9 08:15:17 P1500A keytable: Loading system font: 
Sep  9 08:15:17 P1500A rc: Starting keytable succeeded
Sep  9 08:15:17 P1500A gpm: gpm startup succeeded
Sep  9 08:15:18 P1500A smb: smbd startup succeeded
Sep  9 08:15:18 P1500A smb: nmbd startup succeeded
Sep  9 08:15:19 P1500A linuxconf: Linuxconf final setup
Sep  9 08:15:20 P1500A rc: Starting linuxconf succeeded
Sep  9 08:27:52 P1500A PAM_pwdb[559]: (login) session opened for user root 
by LOGIN(uid=0)
Comment 1 Jeff Johnson 2000-09-11 10:34:00 EDT
This more of a kernel problem that net-tools problem. Changing component.
Comment 2 Alan Cox 2000-09-15 13:21:12 EDT
The NMI one might be a Compaq funny. Its hard to be sure as NMI is used by
boards to indicate many things some fatal and most not. Do both boards see the
NMI

The other trace looks like a real bug that was fixed in the 2.2.17tree when
downing bonded 
interfaces.

Note You need to log in before you can comment on or make changes to this bug.